Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ExplicitCallToMultiplyMethodRule

- groovy.org.codenarc.rule.groovyism.ExplicitCallToMultiplyMethodRule

- This rule detects when the multiply(Object) method is called directly in code instead of using the * operator. A groovier way to express this: a.multiply(b) is this: a * b

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `boolean` | `ignoreThisReference`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### boolean ignoreThisReference

    - #### String name

    - #### int priority